Bug 1409978 - Dependent Products drop-down doesn't need auto-completion
Summary: Dependent Products drop-down doesn't need auto-completion
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-04 04:43 UTC by Jason McDonald
Modified: 2018-03-16 07:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-16 07:08:10 UTC


Attachments (Terms of Use)

Description Jason McDonald 2017-01-04 04:43:55 UTC
Description of problem:
The list should just be a simple drop-down list.  It has a fixed list of choices and that list is unlikely to have enough entries to make autocompletion worthwhile.

The current behaviour misleads the user into thinking they can type a new value that isn't in the list, but such values get cleared as soon as the focus moves to a different widget.

Version-Release number of selected component (if applicable):
5.0.3

How reproducible:
Always

Steps to Reproduce:
1. Select New->Red Hat->Red Hat Enterprise Linux 7
2. Type "Bugzilla" into the Dependent Products widget
3. Click Submit

Actual results:
The value entered into the Dependent Products field vanishes and the bug is submitted without it.

Expected results:
Either:
- The user can enter customer values into the field and have them saved successfully, or
- The user is given a fixed list of values and cannot enter any other values.

Additional info:
none

Comment 1 Jeff Fearn 🐞 2017-01-09 00:21:32 UTC
This is how selectize, and all the other modern derivations of drop-downs work, try doing the same thing in the status field.

Comment 2 Jeff Fearn 🐞 2018-03-16 07:08:10 UTC
This is how the widgets work!


Note You need to log in before you can comment on or make changes to this bug.